package com.chenyang.druid.sql.dialect.dm.ast.stmt;

import com.chenyang.druid.sql.ast.statement.SQLAlterTableItem;
import com.chenyang.druid.sql.dialect.dm.ast.DmSQLObjectImpl;
import com.chenyang.druid.sql.dialect.dm.visitor.DmASTVisitor;

public class DmAlterTableModifyDiskspace extends DmSQLObjectImpl implements SQLAlterTableItem {
   private Integer spacelimit;
   private Boolean unlimited;

   public void accept0(DmASTVisitor visitor) {
      if (visitor.visit(this)) {
      }

      visitor.endVisit(this);
   }

   public Integer getSpacelimit() {
      return this.spacelimit;
   }

   public void setSpacelimit(Integer spacelimit) {
      this.spacelimit = spacelimit;
   }

   public Boolean getUnlimited() {
      return this.unlimited;
   }

   public void setUnlimited(Boolean unlimited) {
      this.unlimited = unlimited;
   }
}
